import { Class } from './types';
export declare class Metadata {
    static define<T>(target: object, metadataKey: string, data: T): void;
    static mergeDeep<T extends object>(target: object, metadataKey: string, data: Partial<T>): T;
    static get<T>(target: object, metadataKey: string): T;
    static find<T>(target: object, metadataKey: string): T | null;
    static has(target: object, metadataKey: string): target is Class;
}
