# Changelog

## [2.0.0-beta.3](https://github.com/codemask-labs/nestjs-mongodb/compare/2.0.0-beta.2...2.0.0-beta.3) (2025-03-07)

### Features

* defining column validation types ([320f32d](https://github.com/codemask-labs/nestjs-mongodb/commit/320f32d9ca38252b3e65d4a8a09c203edd4a71fd))
* transactions and new version of request handlers ([f63f7ef](https://github.com/codemask-labs/nestjs-mongodb/commit/f63f7efbedba883468709c0cb886a9bc58575214))

## [2.0.0-beta.2](https://github.com/codemask-labs/nestjs-mongodb/compare/2.0.0-beta.1...2.0.0-beta.2) (2025-02-05)

### Features

* for root async ([51991eb](https://github.com/codemask-labs/nestjs-mongodb/commit/51991ebe624b90a59cd3cb261be584c2e4dad387))

## [2.0.0-beta.1](https://github.com/codemask-labs/nestjs-mongodb/compare/2.0.0-beta.0...2.0.0-beta.1) (2025-01-25)

## [2.0.0-beta.0](https://github.com/codemask-labs/nestjs-mongodb/compare/1.5.4...2.0.0-beta.0) (2025-01-24)

### ⚠ BREAKING CHANGES

* version 2

### Features

* added example user module ([3f77c73](https://github.com/codemask-labs/nestjs-mongodb/commit/3f77c7391c457cc11c53c2ba4eb7474cc0e7903a))
* collections for feature providers ([536a3c5](https://github.com/codemask-labs/nestjs-mongodb/commit/536a3c5dbb51d1e33b504bfa7d35c19df9b26f84))
* data source validate method ([72f2f36](https://github.com/codemask-labs/nestjs-mongodb/commit/72f2f36af6c5c8b0056f9ce799ea2ae68e5b95fe))
* default datasource options ([e8a4149](https://github.com/codemask-labs/nestjs-mongodb/commit/e8a4149ef28f7780a34b13113f23e93f988854a4))
* dropping indexes when changed ([335d02c](https://github.com/codemask-labs/nestjs-mongodb/commit/335d02c1ee28eb88e2a24176c022b636aaca311f))
* example ([d71ad76](https://github.com/codemask-labs/nestjs-mongodb/commit/d71ad76afc3b789567f4b1f815194680e5ed455b))
* multiple datasources initialized ([42e6990](https://github.com/codemask-labs/nestjs-mongodb/commit/42e69901d3bc7e8bd254f9e5314ec79ff40c361f))
* redesigned metadata storage ([9dcb66e](https://github.com/codemask-labs/nestjs-mongodb/commit/9dcb66e27296e1b3a5466ad98d1a505a53f16fbb))
* synchronize collection indexes ([a43ea6b](https://github.com/codemask-labs/nestjs-mongodb/commit/a43ea6ba63f75a0006ac1f25541964e243e61080))
* version 2 ([88016d6](https://github.com/codemask-labs/nestjs-mongodb/commit/88016d67ce0367623367be06fa7be7c06a01a26b))

### Bug Fixes

* dropping indexes when options or keys are different ([493e128](https://github.com/codemask-labs/nestjs-mongodb/commit/493e1282bbc26015b9907b2d0b24837e8832cb4d))
* nested entity empty columns ([fa2b903](https://github.com/codemask-labs/nestjs-mongodb/commit/fa2b9032ba350436b20aef0b5197020f6f71e9aa))

## [1.5.4](https://github.com/codemaskinc/nestjs-mongodb/compare/1.5.3...1.5.4) (2024-01-19)


### Bug Fixes

* is owner alive check ([a39e68f](https://github.com/codemaskinc/nestjs-mongodb/commit/a39e68ff655479f28d8ffb6680e8068641065ba9))
* not working deadlock detection ([0dc81dd](https://github.com/codemaskinc/nestjs-mongodb/commit/0dc81dd9b3a91c3fbbf25250e3c72299f04a3ce9))

## [1.5.3](https://github.com/codemaskinc/nestjs-mongodb/compare/1.5.2...1.5.3) (2024-01-19)


### Bug Fixes

* debugging of document locking ([6a83bec](https://github.com/codemaskinc/nestjs-mongodb/commit/6a83bec20b002498f4fb47d642733e56d3fb83d3))

## [1.5.2](https://github.com/codemaskinc/nestjs-mongodb/compare/1.5.1...1.5.2) (2024-01-18)


### Bug Fixes

* document deadlocks ([6dc998f](https://github.com/codemaskinc/nestjs-mongodb/commit/6dc998fb65ff1bd52e0e56ae59fda605258663dd))

## [1.5.1](https://github.com/codemaskinc/nestjs-mongodb/compare/1.5.0...1.5.1) (2024-01-18)


### Bug Fixes

* document locking ([f4ebc64](https://github.com/codemaskinc/nestjs-mongodb/commit/f4ebc642e81a9b2a9d9ce5fbc50c99669042ca48))

## [1.5.0](https://github.com/codemaskinc/nestjs-mongodb/compare/1.4.3...1.5.0) (2024-01-17)


### Features

* allowing locks to be inserted on set without filters ([c7ec332](https://github.com/codemaskinc/nestjs-mongodb/commit/c7ec3322a8dfa3063face5bc4a1bce7e9189b94c))

## [1.4.3](https://github.com/codemaskinc/nestjs-mongodb/compare/1.4.2...1.4.3) (2024-01-17)


### Bug Fixes

* internal lock set on insert ([7c9500f](https://github.com/codemaskinc/nestjs-mongodb/commit/7c9500f044d05489badb83c6b69dc5077f9b8116))

## [1.4.2](https://github.com/codemaskinc/nestjs-mongodb/compare/1.4.1...1.4.2) (2024-01-17)


### Bug Fixes

* internal lock index unique and sparse options ([0567c00](https://github.com/codemaskinc/nestjs-mongodb/commit/0567c0027eb3013fb7c704efa795b6cf7baa020d))

## [1.4.1](https://github.com/codemaskinc/nestjs-mongodb/compare/1.4.0...1.4.1) (2024-01-08)


### Bug Fixes

* document locking with unique index for locks ([f6cd7b5](https://github.com/codemaskinc/nestjs-mongodb/commit/f6cd7b57f3812b9e25e53a401fec67a46e6e67c4))

## [1.4.0](https://github.com/codemaskinc/nestjs-mongodb/compare/1.3.1...1.4.0) (2024-01-08)


### Features

* closing clients on application shutdown ([3c18950](https://github.com/codemaskinc/nestjs-mongodb/commit/3c189505896c871ef739dcea8820b6f10c0cffbf))

## [1.3.1](https://github.com/codemaskinc/nestjs-mongodb/compare/1.3.0...1.3.1) (2023-12-15)


### Bug Fixes

* exporting errors ([e4f865c](https://github.com/codemaskinc/nestjs-mongodb/commit/e4f865c20e668adcd15ac00907053b2c791ac065))

## [1.3.0](https://github.com/codemaskinc/nestjs-mongodb/compare/1.2.1...1.3.0) (2023-12-08)


### Features

* internal locking of documents ([d74462c](https://github.com/codemaskinc/nestjs-mongodb/commit/d74462ccdc22085f3f677e425ca231c220d4e692))
* mongo service ([c2d5d75](https://github.com/codemaskinc/nestjs-mongodb/commit/c2d5d75d1438b65170bd9c6b226e12d9996dd7d3))
* unlocking pinned documents ([596aeed](https://github.com/codemaskinc/nestjs-mongodb/commit/596aeede474cf1b5360a8b1c33b0b3a573bb8076))

## [1.2.1](https://github.com/codemaskinc/nestjs-mongodb/compare/1.2.0...1.2.1) (2023-11-29)


### Bug Fixes

* connection leak ([b19fbb5](https://github.com/codemaskinc/nestjs-mongodb/commit/b19fbb56792a21cc7390444e36cf2a775692350b))

## [1.2.0](https://github.com/codemaskinc/nestjs-mongodb/compare/1.1.0...1.2.0) (2023-11-20)


### Features

* locking document ([49a05fe](https://github.com/codemaskinc/nestjs-mongodb/commit/49a05fec1d3763d237c17f6a1e2903edc6e16abb))
* synchronizing collection metadata ([1d7d443](https://github.com/codemaskinc/nestjs-mongodb/commit/1d7d443accbde5be05b4721412f0a406b9164339))

## 1.1.0 (2023-11-15)


### Features

* github actions ([0f1d190](https://github.com/codemaskinc/nestjs-mongodb/commit/0f1d190147cc3a03fe1d19d9f6fcbb7a4838e325))
* initial commit ([5646473](https://github.com/codemaskinc/nestjs-mongodb/commit/56464730744912422cd8f9008e7fc9c08e9c2760))
* initial implementation ([79910c7](https://github.com/codemaskinc/nestjs-mongodb/commit/79910c7ed7312e98a119110ff968df386cc79e52))
* update and countDocuments types ([09a40c3](https://github.com/codemaskinc/nestjs-mongodb/commit/09a40c3749415a902904eabf60d695780d9f3c0d))
