import { MongoDatabase, MongoDocument } from './mongo';
import { Class, CollectionOptions } from './types';
import { Collection } from './collection';
export declare class TransactionManager {
    private readonly db;
    private readonly options?;
    constructor(db: MongoDatabase, options?: CollectionOptions | undefined);
    getCollection<T extends MongoDocument>(entity: Class<T>): Collection<T>;
}
