"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entity = void 0;
const common_1 = require("../common");
const Entity = (collectionName, entityOptions = {}) => (entity) => {
    common_1.Metadata.define(entity, common_1.ENTITY_WATERMARK, true);
    common_1.Metadata.mergeDeep(entity, common_1.ENTITY_METADATA, {
        entity: entity,
        collectionName,
        entityOptions,
        entityColumns: []
    });
};
exports.Entity = Entity;
//# sourceMappingURL=entity.js.map