"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedEntity = void 0;
const common_1 = require("../common");
const NestedEntity = (entityOptions = {}) => (constructor) => {
    common_1.Metadata.define(constructor, common_1.NESTED_ENTITY_WATERMARK, true);
    common_1.Metadata.mergeDeep(constructor, common_1.ENTITY_METADATA, {
        collectionName: null,
        entityOptions,
        entityColumns: []
    });
};
exports.NestedEntity = NestedEntity;
//# sourceMappingURL=nested-entity.js.map